// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.Commands;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.Subsystems.Lanceur;

public class Tourel extends Command {
  private Lanceur lanceur;
  /** Creates a new Tourel. */
  public Tourel(Lanceur lanceur) {
    this.lanceur = lanceur;
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(lanceur.limitswitch1()){
     lanceur.touchagedelimitswitch1(0);
    }
    else if(lanceur.limitswitch2()){
     lanceur.touchagedelimitswitch2(0);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
